> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retornar ontology fragments dos conectores

> Return ontology fragment definitions for connectors.

These fragments describe the default nodes, edges, timeline events, and
cross-source compatibility for each connector type.  The source of truth
is the ``ontology_fragment.yaml`` file inside each connector directory.



## OpenAPI

````yaml /api-reference/catalog-api.json get /connectors/ontology-fragments
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/ontology-fragments:
    get:
      tags:
        - connectors
      summary: Retornar ontology fragments dos conectores
      description: |-
        Return ontology fragment definitions for connectors.

        These fragments describe the default nodes, edges, timeline events, and
        cross-source compatibility for each connector type.  The source of truth
        is the ``ontology_fragment.yaml`` file inside each connector directory.
      operationId: get_ontology_fragments_connectors_ontology_fragments_get
      parameters:
        - name: types
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated connector types (e.g. hubspot,zendesk)
            title: Types
          description: Comma-separated connector types (e.g. hubspot,zendesk)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Get Ontology Fragments Connectors Ontology Fragments
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````